using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections;

/// <summary>
/// BookTypeTreeCached 的摘要说明
/// </summary>
public class BookTypeTreeCached
{
    //public static bool DBIsChanged = false;
    public static ArrayList BookTypeTreeNavigation= null;//首页导航节点（未展开）
    public static ArrayList BookTypeTreeForAdd= null;//后台管理节点
    public static ArrayList BookTypeTreeNavigationExpanded = null;//图书分类导航节点（展开）
    
    public BookTypeTreeCached()
    {
        //
        // TODO: 在此处添加构造函数逻辑
        //
    }

    public  static void ResetBookTypeTreeCached()
    {
        if (BookTypeTreeNavigation != null)
            BookTypeTreeNavigation.Clear();
        BookTypeTreeNavigation = null;

        if (BookTypeTreeForAdd != null)
            BookTypeTreeForAdd.Clear();
        BookTypeTreeForAdd = null;

        if (BookTypeTreeNavigationExpanded != null)
            BookTypeTreeNavigationExpanded.Clear();
        BookTypeTreeNavigationExpanded = null;
    }
}
